<?php
// On place dans une variable l'id transmit dans l'url
$id = $_GET["id"];
if(isset($_POST["Supprimer"])){
	// connexion a la base
    $db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')  or die('Erreur de connexion '.mysql_error());
    mysql_select_db('smartpass',$db) or die('Erreur de selection '.mysql_error()); 
 
    // requete sql
	$result = mysql_query("DELETE FROM PointsVisibles WHERE id = $id");
	//Si il y a une erreur
	if (!$result) 
	{
	    die('Requête invalide : ' . mysql_error());
	}
	else {
	//on informe que le message est supprime
	echo '<p>Le point a ete supprime avec succes. <a href=panel_admin.php>Retour à l\' 
	administration.</a></p>';
	//On ferme else
	}
	// On ferme isset($_POST["Supprimer"]))
}
// Fermeture de la connexion à la base de données
mysql_close();	
?>
 
<form action="suppPointVisible.php?id=<?php echo $id;?>" method="post">
  <input name="Supprimer" value="Supprimer le point <?php echo $id;?>" 
type="submit"/>
</form>

<a href="/admin/">Retour a l'administration</a>
